xpath_context Struct Reference

## Public Member Functions

| xpath_context (const xpath_node &n_, size_t position_, size_t size_)

## Public Attributes

xpath_node | n
size_t | position
size_t | size

## Detailed Description

Definition at line 7454 of file pugixml.cpp.

## Constructor & Destructor Documentation

## xpath_context()

xpath_context::xpath_context | ( | const xpath_node & | n_,
|  | size_t | position_,
|  | size_t | size_
| ) |  |

inline

Definition at line 7459 of file pugixml.cpp.

: n(n_), position(position_), size(size_)
{
}
xpath_context::size
size_t size
Definition: pugixml.cpp:7457
xpath_context::position
size_t position
Definition: pugixml.cpp:7457
xpath_context::n
xpath_node n
Definition: pugixml.cpp:7456

## Member Data Documentation

## n

xpath_node xpath_context::n

Definition at line 7456 of file pugixml.cpp.

Referenced by xpath_ast_node::eval_boolean(), xpath_ast_node::eval_node_set(), xpath_ast_node::eval_number(), xpath_ast_node::eval_string(), and xpath_ast_node::step_do().

## position

size_t xpath_context::position

Definition at line 7457 of file pugixml.cpp.

Referenced by xpath_ast_node::eval_number().

## size

size_t xpath_context::size

Definition at line 7457 of file pugixml.cpp.

Referenced by xpath_ast_node::eval_number().

The documentation for this struct was generated from the following file:

- pugixml.cpp